<?php
#21/03/2017 | ERICA G. | TILDES
#MODIFICADO 27/01/2017 ERICA G.
require_once('Conexion/ConexionPDO.php');
require_once('estructura_valor_registro.php');
session_start();
$con = new ConexionPDO();
$anno = $_SESSION['anno'];

$id_tercero = $_REQUEST['id_tercero'];
$clase = $_REQUEST['clase'];

$fragSql = '';
$signo = '';
$num = 0;

if (!empty($_REQUEST['tipoOp'])) {
	$tipoOp = $_REQUEST['tipoOp'];
	$signo = $_REQUEST['signo'];
	$fragSql = " AND tipoCom.tipooperacion $signo $tipoOp";
}

$comprobanteP = $con->Listar("SELECT  com.id_unico, com.numero, com.fecha, com.descripcion
  		FROM gf_comprobante_pptal com
 		left join gf_tipo_comprobante_pptal tipoCom on tipoCom.id_unico = com.tipocomprobante                 
  		WHERE tipoCom.clasepptal = $clase  and com.parametrizacionanno = $anno 
      $fragSql 
		and com.tercero =  $id_tercero ORDER BY com.numero ASC");

// $comprobanteP = $mysqli->query($queryComp);

// while ($row = mysqli_fetch_row($comprobanteP)) 
for ($row = 0; $row < count($comprobanteP); $row++) {
	$detCompro = $con->Listar("SELECT detComp.id_unico, detComp.valor   
            FROM gf_detalle_comprobante_pptal detComp, gf_comprobante_pptal comP 
            WHERE comP.id_unico = detComp.comprobantepptal 
            AND comP.id_unico = " . $comprobanteP[$row][0]);

	$saldDispo = 0;
	$totalSaldDispo = 0;
	// $detCompro = $mysqli->query($queryDetCompro);
	// while ($rowDetComp = mysqli_fetch_row($detCompro)) {
	for ($rowDetComp=0; $rowDetComp <count($detCompro) ; $rowDetComp++) { 
		$detCompro[$rowDetComp][1];
		$detAfect = $con->Listar("SELECT valor   
          		FROM gf_detalle_comprobante_pptal   
          		WHERE comprobanteafectado = " . $detCompro[$rowDetComp][0]);
		// $detAfect = $mysqli->query($queryDetAfetc);
		$totalAfec = 0;
		// while ($rowDetAf = mysqli_fetch_row($detAfect)) 
		for ($rowDetAf=0; $rowDetAf <count($detAfect) ; $rowDetAf++) { 
			$totalAfec += $detAfect[$rowDetAf][0];
		}
		$saldDispo = $detCompro[$rowDetComp][1] - $totalAfec;
		$totalSaldDispo += $saldDispo;
	}
	
	$saldo = $totalSaldDispo;

	if ($saldo > 0) {
		$fecha_div = explode("-", $comprobanteP[$row][2]);
		$anio = $fecha_div[0];
		$mes = $fecha_div[1];
		$dia = $fecha_div[2];
		$fecha = $dia . "/" . $mes . "/" . $anio;

		echo '<option value="' . $comprobanteP[$row][0] . '">' . $comprobanteP[$row][1] . ' ' . $fecha . ' ' . ucwords(mb_strtolower($comprobanteP[$row][3])) . ' $' . number_format($saldo, 2, '.', ',') . '</option>';
	}
}
